package cn.iocoder.yudao.module.order.enums;

import cn.iocoder.yudao.framework.common.exception.ErrorCode;

/**
 * @author Administrator
 */
public interface ErrorCodeConstants {



    ErrorCode CODE_NOT_EXISTS = new ErrorCode(1004020001, "单号配置不存在");
    ErrorCode APPROVAL_NOT_EXISTS = new ErrorCode(1004020002, "订单审核不存在");
    ErrorCode DEPARTURE_NOT_EXISTS = new ErrorCode(1004010011, "departure.not.exists");
    ErrorCode OBJECTIVE_NOT_EXISTS = new ErrorCode(1004010012, "objective.not.exists");

    ErrorCode THIS_LINE_PROD_ON_BLACK_LIST = new ErrorCode(1004010013, "this.line.prod.on.black.list");
    ErrorCode PROD_NOT_EXISTS = new ErrorCode(1004010014, "prod.not.exists");
    ErrorCode CITY_NOT_SET_LABEL_CODE = new ErrorCode(1004010015, "city.not.set.label.code");
    ErrorCode CITY_NOT_SET_AIR_LABEL_CODE = new ErrorCode(1004010016, "city.not.set.air.label.code");
    ErrorCode CITY_NOT_SET_AIR_SELF_LABEL_CODE = new ErrorCode(1004010017, "city.not.set.air.self.label.code");
    ErrorCode CHANNEL_CODE_NOT_SET = new ErrorCode(1004010018, "channel.code.not.set");

    ErrorCode VOLUME_UNIT_NOT_NULL = new ErrorCode(1004010004, "volume.unit.not.null");
    ErrorCode WEIGHT_UNIT_NOT_NULL = new ErrorCode(1004010005, "weight.unit.not.null");
    ErrorCode UNIT_NOT_LEGAL = new ErrorCode(1004010002, "unit.not.legal");
    ErrorCode THIS_LINE_PROD_NOT_SET_LICENSED_PRICE = new ErrorCode(1004010006, "line.prod.not.set.licensed.price");
    ErrorCode ORDER_NO_NOT_NULL = new ErrorCode(1004020003, "order.no.not.null");
    ErrorCode ORDER_CUSTOM_DRAWEE_INFO_NOT_NULL = new ErrorCode(1004020004, "order.custom.drawee.not.null");
    ErrorCode ORDER_NOT_EXISTS = new ErrorCode(1004020005, "order.not.exists");
    ErrorCode ORDER_CONSIGNOR_NOT_EXISTS = new ErrorCode(1004020006, "order.consignor.not.exists");
    ErrorCode ORDER_CONSIGNEE_NOT_EXISTS = new ErrorCode(1004020007, "order.consignee.not.exists");
    ErrorCode ORDER_SPECIAL_NEED_NOT_EXISTS = new ErrorCode(1004020008, "order.special.need.not.exists");
    ErrorCode FEE_APPLICATION_NOT_EXISTS = new ErrorCode(1004020009, "order.fee.application.not.exists");
    ErrorCode NOT_FIND_LOGISTICS_INFO = new ErrorCode(1004020010, "order.not.find.logistics.info");
    ErrorCode GUANLIAN_NOT_EXISTS = new ErrorCode(1004020011, "order.guanlian.not.exists");
    ErrorCode MUTUAL_NOT_EXISTS = new ErrorCode(1004020012, "order.mutual.not.exists");
    ErrorCode ORDER_EXCEPTION_NOT_EXISTS = new ErrorCode(1004020013, "order.exception.not.exists");
    ErrorCode ORDER_EXCEPTION_RESULT_NOT_EXISTS = new ErrorCode(1004020014, "order.exception.result.not.exists");

    ErrorCode ORDER_EXCEPTION_BPM_NOT_EXISTS = new ErrorCode(1004220015, "order.exception.bpm.not.exists");
    ErrorCode ORDER_EXCEPTION_BPM_APPROVE = new ErrorCode(1004220016, "order.exception.bpm.approve");
    ErrorCode ORDER_HANDLER_EXCEPTION_NOT_EXISTS = new ErrorCode(1004030001, "order.handler.exception.not.exists");
    ErrorCode EXCEPTION_NOT_EXISTS = new ErrorCode(1004030002, "exception.not.exists");
    ErrorCode ORDER_SPECIAL_NEED_ERROR = new ErrorCode(1004030003, "cannot.be.canceled.because.the.special.expense.is.being.written.off");
    ErrorCode ORDER_SPECIAL_NEED_UPDATE_ERROR = new ErrorCode(1004030004, "cannot.be.modified.after.pre.installation");
    ErrorCode DOC_FILE_NOT_NULL = new ErrorCode(1004030005, "单证文件不能为空");

    ErrorCode MEMBER_OF_CUSTOMER_NOT_EXISTS = new ErrorCode(1004020015, "member.of.customer.not.exists");
    ErrorCode THIS_ORDER_IS_NOT_YOUR = new ErrorCode(1004020016, "this.order.is.not.yours");
    ErrorCode ACTUAL_PROD_INFO_NOT_NULL = new ErrorCode(1004020017, "actual.prod.info.not.null");
    ErrorCode ORDER_NOT_CANCEL_STATUS = new ErrorCode(1004020018, "order.not.cancel.status");
    ErrorCode ORDER_IS_CANCEL_STATUS = new ErrorCode(1004020019, "order.is.cancel.status");
    ErrorCode ORDER_NOT_CANCEL_OR_DRAFT_STATUS = new ErrorCode(1004020020, "order.not.cancel.or.draft.status");
    ErrorCode ORDER_ITEM_PROD_NOT_EXISTS = new ErrorCode(1004020021, "order.item.prod.not.exists");
    ErrorCode ORDER_APPROVAL_INFO_NOT_FIND = new ErrorCode(1004020022, "order.approval.info.not.find");
    ErrorCode YOUR_APPLY_PENDING = new ErrorCode(1004020023, "your.apply.pending");
    ErrorCode ORDER_APPLY_TYPE_NOT_EXISTS = new ErrorCode(1004020024, "order.apply.type.not.exists");
    ErrorCode ORDER_PICKUP_NOT_EXISTS = new ErrorCode(1004020025, "order.pickup.not.exists");
    ErrorCode ORDER_MUTUAL_IS_EXISTS = new ErrorCode(1004020026, "order.mutual.is.exists");
    ErrorCode ORDER_GUANLIAN_IS_EXISTS = new ErrorCode(1004020027, "order.guanlian.is.exists");
    ErrorCode ORDER_SPECIAL_NEED_IS_EXISTS = new ErrorCode(1004020028, "order.special.need.is.exists");
    ErrorCode ORDER_ITEM_NOT_EXISTS = new ErrorCode(1004020029, "order.item.not.exists");
    ErrorCode ORDER_RECEIVABLE_NOT_COMPLETE = new ErrorCode(1004020030, "存在已收款的应收单，不能提货!");
    //    ErrorCode ORDER_NOT_EXISTS_OR_STATUS_NO = new ErrorCode(1004020031, "order.not.exists.or.status.no");
    ErrorCode ORDER_NOT_EXISTS_OR_STATUS_NO = new ErrorCode(1004020031, "订单状态不允许转移控货人");
    ErrorCode ORIGINAL_CARGO_CONTROLLER_NOT_EXIST = new ErrorCode(1004020032, "original.cargo.controller.not.exist");
    ErrorCode MERGE_NOT_EXISTS = new ErrorCode(1004020033, "merge.application.not.exist");
    ErrorCode MERGE_EXISTS = new ErrorCode(1004020034, "merge.exist");
    ErrorCode MERGE_ORDER_NO_NOT_NULL = new ErrorCode(1004020035, "orderNumber.not.null");
    ErrorCode SPLIT_ORDER_NO_NOT_NULL = new ErrorCode(1004020036, "拆单前的订单编号不能为空");
    ErrorCode CONSIGNEE_PHONE_NOT_NULL = new ErrorCode(1004020037, "consignee.phone.not.null");

    ErrorCode ORDER_CARGO_CONTROL_PICK_NOT_EXISTS = new ErrorCode(1004020038, "order.cargo.controller.pick.not.exist");
    ErrorCode ORDER_CARGO_CONTROL_PICK_STATUS_ERROR = new ErrorCode(1004020039, "order.cargo.controller.pick.status.error");
    ErrorCode YOU_NO_IS_CARGO_CONTROLLER = new ErrorCode(1004020040, "you.no.is.cargo.controller");
    ErrorCode NUMBER_CONFLICT = new ErrorCode(1004020041, "number.conflict");
    ErrorCode RECURRENT_NUCLEAR_TYPE_NOT_EXISTS = new ErrorCode(1004020042, "recurrent.nuclear.type.not.exists");
    ErrorCode CONSIGNEE_PHONE_CODE_NOT_NULL = new ErrorCode(1004020043, "consignee.phone.code.not.null");
    ErrorCode MEMBER_NOT_EXISTS = new ErrorCode(1004020044, "member.info.not.exists");

    ErrorCode CONSIGNOR_PHONE_NOT_NULL = new ErrorCode(1004020045, "consignor.phone.not.null");
    ErrorCode CONSIGNOR_PHONE_CODE_NOT_NULL = new ErrorCode(1004020046, "consignor.phone.code.not.null");
    ErrorCode ORDER_CARGO_CONTROL_NOT_NUM = new ErrorCode(1004020047, "控货订单的控货数量为0!请确认订单是否入仓");
    ErrorCode ORDER_CARGO_CONTROL_PICK_FINISH = new ErrorCode(1004020048, "控货订单的控货箱数已放完");
    ErrorCode ORDER_NUMBER_PARAM_NOT_NULL = new ErrorCode(1004020049, "编号记录参数不能为空");
    ErrorCode ORDER_STATUS_ERROR = new ErrorCode(1004020050, "订单状态错误");
    ErrorCode ORDER_CARGO_CONTROL_NUM_GO_BEYOND = new ErrorCode(1004020051, "放货箱数超出控货订单的控货箱数");
    ErrorCode ORDER_CARGO_CONTROL_NUM_OVER = new ErrorCode(1004021051, "放货箱数超出控货订单的剩余可放箱数");

    ErrorCode ORDER_CARGO_CONTROL_NOT_EXISTS = new ErrorCode(1004020052, "order.cargo.control.not.exists");
    ErrorCode THIS_LINE_PROD_NOT_SET_PRICE = new ErrorCode(1004020053, "line.prod.not.set.price");
    ErrorCode NOT_FIND_CONTROLLER = new ErrorCode(1004020054, "not.find.controller");
    ErrorCode TRANSPORT_LINE_NOT_EXISTS = new ErrorCode(1004020055, "transport.line.not.exists");
    ErrorCode PROD_NUM_NOT_NULL = new ErrorCode(1004020056, "prod.num.not.null");
    ErrorCode PROD_QUANTITY_NOT_NULL = new ErrorCode(1004020057, "prod.quantity.not.null");
    ErrorCode PROD_VOLUME_NOT_NULL = new ErrorCode(1004020058, "prod.volume.not.null");
    ErrorCode PROD_WEIGHT_NOT_NULL = new ErrorCode(1004020059, "prod.weight.not.null");

    ErrorCode PACKING_LIST_NOT_READ_DATA = new ErrorCode(1004020060, "packing.list.not.read.data");
    ErrorCode ORDER_CANCEL_NOT_PLACED = new ErrorCode(1004020061, "cancel.order.not.placed");
    ErrorCode ORDER_EXTERNAL_WAREHOUSE_NOT_NULL = new ErrorCode(1004020062, "order.external.warehouse.not.null");
    ErrorCode ORDER_CONSIGNOR_PHONE_INFO_NOT_COMPLETE = new ErrorCode(1004020063, "order.consignor.phone.info.not.complete");
    ErrorCode ORDER_CONSIGNOR_NAME_NOT_COMPLETE = new ErrorCode(1004020064, "order.consignor.name.not.complete");
    ErrorCode ORDER_CONSIGNOR_PHONE_INCORRECT_FORMAT = new ErrorCode(1004020065, "order.consignor.phone.incorrect.format");

    ErrorCode ORDER_CONSIGNEE_PHONE_INFO_NOT_COMPLETE = new ErrorCode(1004020066, "order.consignee.phone.info.not.complete");
    ErrorCode ORDER_CONSIGNEE_NAME_NOT_COMPLETE = new ErrorCode(1004020067, "order.consignee.name.not.complete");
    ErrorCode ORDER_CONSIGNEE_PHONE_INCORRECT_FORMAT = new ErrorCode(1004020068, "order.consignee.phone.incorrect.format");
    ErrorCode ORDER_CARGO_CONTROL_PHONE_INCORRECT_FORMAT = new ErrorCode(1004020069, "order.cargo.control.phone.incorrect.format");
    ErrorCode ORDER_DELIVERY_DATE_NOT_NULL = new ErrorCode(1004020070, "order.delivery.date.not.null");
    ErrorCode PICK_UP_MORE_3_TIMES = new ErrorCode(1004020071, "batch.pickup.exist.three.times.order");
    ErrorCode PICK_UP_LAST_CHANCE = new ErrorCode(1004020072, "up.to.three.times.repeat.reenter");
    ErrorCode PICK_UP_TOO_MORE = new ErrorCode(1004020073, "pickup.number.more.than.un.pickup.number");
    ErrorCode PICK_UP_TYPE_ERROR = new ErrorCode(1004020074, "home.delivery.change.pickup.type");
    ErrorCode PROD_WORTH_NOT_NULL = new ErrorCode(1004020075, "prod.worth.not.null");
    ErrorCode TRANSFER_GOODS_ORDER_NOT_NULL = new ErrorCode(1004020076, "transfer.goods.order.not.null");
    ErrorCode FILE_FORMAT_IS_EXCEL = new ErrorCode(1004020077, "file.format.is.excel");
    ErrorCode CANCEL_PICK_TYPE_NOT_EXISTS = new ErrorCode(1004020078, "cancel.pick.type.not.null");
    ErrorCode PLEASE_SUBMIT_ORDER_UPDATE_APPROVAL = new ErrorCode(1004020079, "please.submit.order.update.approval");
    ErrorCode BOX_GAUGE_FORMAT_ERROR = new ErrorCode(1004020080, "box.gauge.format.error");
    ErrorCode CREATE_RECEIVABLE_WAREHOUSE_IN_DATA_EXCEPTION = new ErrorCode(1004020081, "create.receivable.warehouse.in.data.exception");
    ErrorCode SPLIT_ORDER_WAREHOUSE_IN_DATA_EXCEPTION = new ErrorCode(1004020082, "split.order.warehouse.in.data.exception");
    ErrorCode SPLIT_ORDER_ITEM_NOT_NULL = new ErrorCode(1004020083, "split.order.item.not.null");

    ErrorCode HEAVY_CARGO_DISCOUNT_SET_VALUE_NOT_NULL = new ErrorCode(1004020084, "heavy.cargo.discount.set.value.not.null");
    ErrorCode BUBBLE_CARGO_DISCOUNT_SET_VALUE_NOT_NULL = new ErrorCode(1004020085, "bubble.cargo.discount.set.value.not.null");
    ErrorCode ORDER_CARGO_CONTROL_PICK_NUM_NOT_EQ_ZERO = new ErrorCode(1004020086, "order.cargo.control.pick.num.not.eq.zero");
    ErrorCode ORDER_EXTERNAL_WAREHOUSE_ADDRESS_AND_LOADING_TIME_NOT_NULL = new ErrorCode(1004020087, "order.external.warehouse.address.and.loading.time.not.null");
    ErrorCode ORDER_FEE_APPLICATION_EXIST = new ErrorCode(1004020088, "fee.application.in.review");

    ErrorCode SPLIT_ORDER_HAS_ORDER_EXCEPTION = new ErrorCode(1004020089, "split.order.has.order.exception");
    ErrorCode SPLIT_ORDER_HAS_ORDER_APPROVAL = new ErrorCode(1004020090, "split.order.has.order.approval");
    ErrorCode SPECIAL_APPLY_DISCOUNT_FREIGHT_NEW_AMOUNT_NOT_EQ_ORG_AMOUNT = new ErrorCode(1004020091, "special.apply.discount.freight.new.amount.not.eq.org.amount");
    ErrorCode SPECIAL_APPLY_DISCOUNT_CLEARANCE_NEW_AMOUNT_NOT_EQ_ORG_AMOUNT = new ErrorCode(1004020092, "special.apply.discount.clearance.new.amount.not.eq.org.amount");
    ErrorCode FINAL_SALE_FREIGHT_AMOUNT_MUST_GT_ZERO = new ErrorCode(1004020093, "final.sale.freight.amount.must.gt.zero");
    ErrorCode FINAL_SALE_CLEARANCE_AMOUNT_MUST_GT_ZERO = new ErrorCode(1004020094, "final.sale.clearance.amount.must.gt.zero");

    ErrorCode COMMISSION_TYPE_NOT_NULL = new ErrorCode(1004020095, "commission.type.not.null");
    ErrorCode EXTERNAL_WAREHOUSE_AND_CONCENTRATE_TRANSPORT_NOT_PARALLEL = new ErrorCode(1004020096, "external.warehouse.and.concentrate.transport.not.parallel");

    ErrorCode ORDER_LINE_CHANNEL_NOT_NULL = new ErrorCode(1004020097, "order.line.channel.not.null");
    ErrorCode ITEM_SPECIAL_APPLY_NO_MULTIPLE_PROGRESS = new ErrorCode(1004020098, "item.special.apply.no.multiple.progress");

    ErrorCode WAREHOUSE_IN_ITEM_QUANTITY_REQUIRED = new ErrorCode(1004020099, "warehouse.in.item.quantity.required");
    ErrorCode ORDER_LINE_NOT_EXIST = new ErrorCode(1004020100, "order.line.not.exist");
    ErrorCode ORDER_DEPARTURE_OBJECTIVE_AND_LINE_NOT_AGREEMENT = new ErrorCode(1004020101, "order.departure.objective.and.line.not.agreement");

    ErrorCode PROD_BRAND_NOT_NULL = new ErrorCode(1004020102, "prod.brand.not.null");
    ErrorCode MODIFY_APPROVAL_NOT_ADD_PROD = new ErrorCode(1004020103, "modify.approval.not.add.prod");
    ErrorCode CONSIGNEE_PHONE_IS_EXTERNAL = new ErrorCode(1004020104, "consignee.phone.is.external");

    ErrorCode YOUR_CUSTOMER_INFO_IS_INCOMPLETE = new ErrorCode(1004020105, "your.customer.information.is.incomplete");
    ErrorCode ORDER_IS_APPROVAL_IN_PROCESS = new ErrorCode(1004020106, "order.is.approval.in.process");
    ErrorCode MODIFY_APPROVAL_NOT_UPDATE_OR_DELETE_WAREHOUSE_IN = new ErrorCode(1004020107, "modify.approval.not.update.warehouse.in");

    ErrorCode WAREHOUSE_IN_ITEM_EXPRESS_NO_LIMIT = new ErrorCode(1004020108, "warehouse.in.item.expressno.limit");
    ErrorCode ORDER_UPDATE_APPROVAL_MUST_BE_WAREHOUSE_IN = new ErrorCode(1004020109, "order.update.approval.must.be.warehouse.in");
    ErrorCode WAREHOUSE_IN_UPDATE_APPROVAL_MUST_BE_WAREHOUSE_IN = new ErrorCode(1004020110, "warehouse.in.update.approval.must.be.warehouse.in");
    ErrorCode ORDER_CONTROL_NUM_LT_RELEASE_NUM = new ErrorCode(1004020111, "order.control.num.lt.release.num");
    ErrorCode ORDER_NO_CONTAIN_NOT_ACCEPTED_PROD = new ErrorCode(1004020112, "order.no.contain.not.accepted.prod");
    ErrorCode ORDER_CONTAIN_NOT_ACCEPTED_PROD = new ErrorCode(1004020113, "order.contain.not.accepted.prod");
    ErrorCode ORDER_SHIPMENT_NOT_UPDATE = new ErrorCode(1004020114, "order.shipment.not.update");
    ErrorCode SPLIT_ORDER_REVOKE_CAN_UPDATE = new ErrorCode(1004020115, "split.order.revoke.can.update");
    ErrorCode ORDER_PICK_ANTIC_CHECKING_ERROR = new ErrorCode(1004020116, "order.pick.antic.checking.error");
    ErrorCode CARGO_CONTROL_ORDER_PICK_NOT_SPLIT = new ErrorCode(1004020117, "cargo.control.order.pick.not.split");
    ErrorCode CARGO_CONTROL_ORDERS_PICK_NOT_SPLIT = new ErrorCode(1004020118, "cargo.control.orders.pick.not.split");
    ErrorCode SPILT_ORDER_NOT_SKIP_NUMBER_DELETE = new ErrorCode(1004020119, "split.order.not.skip.number.delete");
    ErrorCode ORDER_CARGO_CONTROL_PICK_MUST_CODE_OR_PASSWORD = new ErrorCode(1004020120, "cargo.control.order.pick.must.code.or.password");
    ErrorCode CONTROLLER_USER_NOT_SET_CONTROL_PASSWORD = new ErrorCode(1004020121, "controller.user.not.set.control.password");


    ErrorCode AIR_PORT_DEST_CUSTOMS_CLEAR_NOT_NULL = new ErrorCode(1004020122, "air.port.dest.customs.clear.not.null");
    ErrorCode AIR_DELIVERY_WAY_NOT_NULL = new ErrorCode(1004020123, "air.delivery.way.not.null");
    ErrorCode AIR_PORT_DEST_CUSTOMER_CUSTOMS_CLEAR_AND_SINGLE_SHIPMENT_METHOD = new ErrorCode(1004020124, "air.port.dest.customer.customs.clear.and.single.shipment.method");

    ErrorCode CONSIGNEE_PHONE_INCORRECT_FORMAT = new ErrorCode(1004020125, "consignee.phone.incorrect.format");

    ErrorCode BUBBLE_WEIGHT_SPECIAL_DISCOUNT_SET_VALUE_NOT_NULL = new ErrorCode(1004020126, "bubble.weight.special.discount.set.value.not.null");
    ErrorCode BUBBLE_WEIGHT_SPECIAL_DISCOUNT_SET_VALUE_NOT_LT_WAREHOUSE_IN_VALUE = new ErrorCode(1004020127, "bubble.weight.special.discount.set.value.not.lt.warehouse.in.value");
    ErrorCode ORDER_ID_NOT_NULL = new ErrorCode(1004020128, "order.id.not.null");
    ErrorCode ORDER_MUST_IN_WAREHOUSE = new ErrorCode(1004020129, "order.must.in.warehouse");
    ErrorCode PARENT_ORDER_NOT_EXISTS = new ErrorCode(1004020130, "parent.order.not.exists");
    ErrorCode SEA_SPLIT_ORDER_NO_CAN_HEAVY_PICKLED_GOODS_DISCOUNT_APPLY = new ErrorCode(1004020129, "sea.split.order.no.can.heavy.pickled.goods.discount.apply");

    ErrorCode SPLIT_ORDER_ITEM_PROD_NOT_NULL = new ErrorCode(1004020130, "split.order.item.prod.not.null");
    ErrorCode SPLIT_CHANGE_TRANSPORT_AND_CHANNEL_ORDER_NO_CAN_HEAVY_PICKLED_GOODS_DISCOUNT_APPLY = new ErrorCode(1004020131, "split.change.transport.and.channel.order.no.can.heavy.pickled.goods.discount.apply");
    ErrorCode SPLIT_NOT_SEPARATE_ORDER_NO_CAN_HEAVY_PICKLED_GOODS_DISCOUNT_APPLY = new ErrorCode(1004020132, "split.not.separate.order.no.can.heavy.pickled.goods.discount.apply");

    ErrorCode PROD_WAREHOUSE_IN_VOLUME_NOT_NULL = new ErrorCode(1004020133, "prod.warehouse.in.volume.not.null");
    ErrorCode PROD_WAREHOUSE_IN_WEIGHT_NOT_NULL = new ErrorCode(1004020134, "prod.warehouse.in.weight.not.null");
    ErrorCode PROD_WAREHOUSE_IN_WEIGHT_NOT_ZERO = new ErrorCode(1004020135, "prod.warehouse.in.weight.not.zero");

    ErrorCode PROD_WAREHOUSE_IN_VOLUME_NOT_ZERO = new ErrorCode(1004020136, "prod.warehouse.in.volume.not.zero");

    ErrorCode TRANSPORT_AND_LINE_NOT_AGREEMENT = new ErrorCode(1004020137, "transport.and.line.not.agreement");

    ErrorCode ORDER_WAREHOUSE_IN_NOT_EXISTS = new ErrorCode(1006010001, "order.warehouse.in.not.exists");
    ErrorCode ORDER_WAREHOUSE_APPROVAL_NOT_EXISTS = new ErrorCode(1006010002, "order.warehouse.approval.not.exists");
    ErrorCode WAREHOUSE_ADJUST_NOT_EXISTS = new ErrorCode(1006010003, "warehouse.adjust.not.exists");

    ErrorCode ORDER_WAREHOUSE_IN_UPDATE_NOT_EXISTS = new ErrorCode(1006010004, "order.warehouse.in.update.not.exists");

    ErrorCode WAREHOUSE_PICTURE_NOT_EXISTS = new ErrorCode(1006010005, "picture.not.exist");
    ErrorCode ORDER_SPLIT_NOT_EXISTS = new ErrorCode(1006010006, "order.split.not.exist");


    ErrorCode ORDER_SPLIT_ITEM_NOT_EXISTS = new ErrorCode(1006010007, "order.split.item.not.exist");

    ErrorCode WAREHOUSE_APPROVAL_APPLYING = new ErrorCode(1006010008, "warehouse.approval.applying");


    ErrorCode WAREHOUSE_APPROVAL_BATCH_CANNOT_CANCEL = new ErrorCode(1006010009, "warehouse.approval.batch.cannot.cancel");


    ErrorCode ORDER_APPROVAL_STATUS_NOT_CORRECT = new ErrorCode(1006010010, "order.approval.status.not.correct");

    ErrorCode ORDER_APPROVAL_FORM_ID_NOT_EXISTS = new ErrorCode(1006010011, "order.approval.form.id.not.exists");

    ErrorCode WAREHOUSE_ADJUST_BATCH_NOT_SAME_IN = new ErrorCode(1006010012, "warehouse.adjust.batch.not.same.in");
    ErrorCode WAREHOUSE_ADJUST_BATCH_NOT_SAME_OUT = new ErrorCode(1006010013, "warehouse.adjust.batch.not.same.out");

    ErrorCode WAREHOUSE_APPROVAL_BATCH_ADJUST_APPLYING = new ErrorCode(1006010014, "warehouse.approval.batch.adjust.applying");

    ErrorCode WAREHOUSE_APPROVAL_PASSED_CANNOT_CANCEL = new ErrorCode(1006010015, "warehouse.approval.passed.cannot.cancel");

    ErrorCode ORDER_LABEL_NOT_EMPTY = new ErrorCode(1006010020, "order.label.not.empty");

    ErrorCode ORDER_LABEL_NOT_EXISTS = new ErrorCode(1006010021, "order.label.not.exists");

    ErrorCode ORDER_LABEL_ALREADY_BEEN_USED = new ErrorCode(1006010022, "order.label.already.been.used");

    ErrorCode ORDER_LABEL_NUM_NOT_SAME_WITH_WAREHOUSE_IN_NUM = new ErrorCode(1006010023, "order.label.num.not.same.with.warehouse.in.num");

    ErrorCode ORDER_LABEL_OVERLAY = new ErrorCode(1006010024, "order.label.repeat");

    ErrorCode ORDER_SPLIT_ITEM_NUM_MANY_EXCEPTION = new ErrorCode(1006010025, "order.split.item.num.many.exception");

    ErrorCode NOT_LOOK_CALCULATION_UNIT = new ErrorCode(1006010026, "not.look.calculation.unit");
    ErrorCode CALCULATION_UNIT_QUANTITY_NOT_NULL = new ErrorCode(1006010027, "calculation.unit.quantity.not.null");
    ErrorCode ORDER_SPLIT_ITEM_QUANTITY_MANY_EXCEPTION = new ErrorCode(1006010028, "order.split.item.quantity.many.exception");
    ErrorCode ORDER_MERGE_ERROR = new ErrorCode(1006010029, "receivable.written.off.can.not.merge.order");
    ErrorCode ORDER_SPLIT_ERROR = new ErrorCode(1006010030, "order.split.error");

    ErrorCode ORDER_DRAFT_STATUS_NOT_ALLOWED_WAREHOUSE_IN = new ErrorCode(1006010031, "order.draft.status.not.allowed.warehouse.in");
    ErrorCode ORDER_DRAFT_STATUS_NOT_ALLOWED_SPLIT = new ErrorCode(1006010032, "order.draft.status.not.allowed.split");
    ErrorCode ORDER_HAS_PENDING_EXCEPTION = new ErrorCode(1006010033, "order.has.pending.exception");

    ErrorCode ORDER_HAS_PROCESSING_APPROVAL = new ErrorCode(1006010034, "order.has.pending.approval");

    ErrorCode ORDER_EXCEPTION_OR_PROCESSING_ERROR = new ErrorCode(1006010035, "order.exception.or.processing.error");

    ErrorCode ORDER_NOT_WAREHOUSE_IN_NOT_PICK = new ErrorCode(1006010036, "no.warehousing.can.not.pickup");

    ErrorCode ORDER_PICK_UP_ERROR = new ErrorCode(1006010037, "already.picked.up");


    ErrorCode WAREHOUSE_IN_PROPERTY_NOT_NULL_AND_ZERO = new ErrorCode(1006010038, "warehouse.in.property.not.null.and.zero");

    ErrorCode WAREHOUSE_IN_BOX_EXCEPTION = new ErrorCode(1006010039, "warehouse.in.box.exception");


    ErrorCode SPLIT_ORDER_CAN_NOT_CHANGE_CARTON_NUMS = new ErrorCode(1006010040, "split.order.can.not.change.carton.num");

    ErrorCode SPLIT_ORDER_CAN_NOT_CHANGE_ORDER_LABEL = new ErrorCode(1006010041, "split.order.can.not.change.order.label");

    ErrorCode SPLIT_ORDER_CAN_NOT_WAREHOUSE_IN = new ErrorCode(1006010042, "split.order.can.not.warehouse.in");

    ErrorCode SPLIT_ORDER_CAN_NOT_ROLLBACK = new ErrorCode(1006010043, "split.order.can.not.rollback");

    ErrorCode PARAM_CUSTOMER_SERVICE_NOT = new ErrorCode(1006010044, "param.customer.service.not");

    ErrorCode ORDER_WAREHOUSE_ADJUSTMENT_STATUS_NOT_ALLOWED_WAREHOUSE_IN = new ErrorCode(1006010045, "order.warehouse.adjustment.status.not.allowed.warehouse.in");
    ErrorCode ORDER_NOT_WAREHOUSE_IN_UN_REVOKE_SPLIT = new ErrorCode(1006010046, "order.not.warehouse.in.un.revoke.split");

    ErrorCode ORDER_HAS_BEEN_WRITTEN_OFF_UN_REVOKE_SPLIT = new ErrorCode(1006010047, "order.has.been.written.off.un.revoke.split");
    ErrorCode ORDER_APPLYING_UN_REVOKE_SPLIT = new ErrorCode(1006010048, "order.applying.un.revoke.split");

    ErrorCode SPLIT_ORDER_LOG_NOT_FIND = new ErrorCode(1006010049, "split.order.log.not.find");


    ErrorCode ORDER_SPLIT_ITEM_WEIGHT_MANY_EXCEPTION = new ErrorCode(1006010050, "order.split.item.weight.many.exception");
    ErrorCode ORDER_SPLIT_ITEM_VOLUME_MANY_EXCEPTION = new ErrorCode(1006010051, "order.split.item.volume.many.exception");
    ErrorCode ORDER_SPLIT_ITEM_CHARGE_WEIGHT_MANY_EXCEPTION = new ErrorCode(1006010052, "order.split.item.charge.weight.many.exception");
    ErrorCode ORDER_SPLIT_ITEM_CHARGE_VOLUME_MANY_EXCEPTION = new ErrorCode(1006010053, "order.split.item.charge.volume.many.exception");
    ErrorCode ORDER_NOT_IS_SPLIT_ORDER = new ErrorCode(1006010054, "order.not.is.split.order");
    ErrorCode ORDER_SPLIT_ITEM_WORTH_MANY_EXCEPTION = new ErrorCode(1006010055, "order.split.item.worth.many.exception");
    ErrorCode MASTER_SPLIT_ITEM_NOT_UPDATE = new ErrorCode(1006010056, "master.split.item.not.update");
    ErrorCode ORDER_SPLIT_SUCCESS_AND_CANNOT_SPLIT_AGAIN_ORDER = new ErrorCode(1006010057, "order.split.success.and.cannot.split.again.order");


    ErrorCode ORDER_RECEIVE_NOT_WRITE_OFF = new ErrorCode(1006010058, "订单{}应收费用未全部核销");
    ErrorCode PICK_UP_TOO_MORE_PARAM = new ErrorCode(1006010059, "pick.number.more.than.order.number");
    ErrorCode ORDER_STATUS_CANNOT_PICKUP = new ErrorCode(1006010060, "order.status.cannot.pick.up");


    ErrorCode ORDER_SCHEDULING_UN_REVOKE_SPLIT = new ErrorCode(1006010061, "order.scheduling.un.revoke.split");
    ErrorCode MASTER_SPLIT_ITEM_NOT_EXISTS = new ErrorCode(1006010062, "master.spilt.item.not.exists");
    ErrorCode WAREHOUSE_IN_RECORD_PARAM_ORG_WAREHOUSE_IN_ID_NOT_NULL = new ErrorCode(1006010063, "warehouse.in.record.param.org.warehouse.in.id.not.null");
    ErrorCode WAREHOUSE_IN_RECORD_CONTAIN_ILLEGAL_ORG_WAREHOUSE_IN_ID = new ErrorCode(1006010064, "warehouse.in.record.contain.illegal.org.warehouse.in.id");
    ErrorCode ORDER_SPLIT_ITEM_NUM_FEW_EXCEPTION = new ErrorCode(1006010065, "order.split.item.num.few.exception");

    ErrorCode ORDER_SPLIT_ITEM_QUANTITY_FEW_EXCEPTION = new ErrorCode(1006010066, "order.split.item.quantity.few.exception");

    ErrorCode ORDER_SPLIT_ITEM_WEIGHT_FEW_EXCEPTION = new ErrorCode(1006010067, "order.split.item.weight.few.exception");
    ErrorCode ORDER_SPLIT_ITEM_VOLUME_FEW_EXCEPTION = new ErrorCode(1006010068, "order.split.item.volume.few.exception");
    ErrorCode ORDER_SPLIT_ITEM_CHARGE_WEIGHT_FEW_EXCEPTION = new ErrorCode(1006010069, "order.split.item.charge.weight.few.exception");
    ErrorCode ORDER_SPLIT_ITEM_CHARGE_VOLUME_FEW_EXCEPTION = new ErrorCode(1006010070, "order.split.item.charge.volume.few.exception");
    ErrorCode ORDER_SPLIT_ITEM_WORTH_FEW_EXCEPTION = new ErrorCode(1006010071, "order.split.item.worth.few.exception");
    ErrorCode ORDER_SPLIT_ITEM_NOT_REMOVABLE_NUM = new ErrorCode(1006010072, "order.split.item.not.removable.num");
    ErrorCode ORDER_SPLIT_MASTER_ORDER_ITEM_NOT_NULL = new ErrorCode(1006010073, "order.split.master.order.item.not.null");
    ErrorCode SPILT_ORDER_WAREHOUSE_IN_REPEAT = new ErrorCode(1006010074, "order.split.warehouse.in.repeat");
    ErrorCode ORDER_CONTROL_LOG_NOT_EXISTS = new ErrorCode(1006010075, "订单控货日志不存在");
    ErrorCode ORDER_NOT_WAREHOUSE_IN = new ErrorCode(1006010076, "order.not.warehouse.in");

    ErrorCode PICK_UP_TOO_MORE_PARAM_CONTROL = new ErrorCode(1006010077, "pick.number.more.than.release.number");
    ErrorCode PICK_UP_ERROR_MSG = new ErrorCode(1006010078, "{}");
    ErrorCode ORDER_IS_WAITING_SHIPMENT = new ErrorCode(1006010079, "order.is.waiting.shipment");
    ErrorCode WAREHOUSE_IN_RECORD_DATA_NOT_IS_ZERO = new ErrorCode(1006010080, "warehouse.in.record.data.not.is.zero");

    ErrorCode USER_NOT_EXISTS = new ErrorCode(1004001000, "member.user.not.exist");

    ErrorCode ORDER_NEED_PERSONAL_KYC = new ErrorCode(1004001112, "order.need.personal.kyc");

    ErrorCode ORDER_NEED_COMPANY_KYC = new ErrorCode(1004001113, "order.need.company.kyc");

    ErrorCode CUSTOMER_SERVICE_ASSIGNED = new ErrorCode(1004001114, "order.exception_service_assigned");
    ErrorCode MARKS_FORMAT_INCORRECT = new ErrorCode(1004001115, "marks.format.incorrect");
    ErrorCode MARKS_LENGTH_MAX = new ErrorCode(1004001116, "marks.length.max.next");


    ErrorCode SPLIT_ORDER_CAN_NOT_UPDATE = new ErrorCode(1004001117, "split.order.can.not.update");
    ErrorCode ORDER_SPLIT_ITEM_VOLUME_ERROR = new ErrorCode(1004001118, "order.split.item.volume.error");
    ErrorCode ORDER_SPLIT_ITEM_WEIGHT_ERROR = new ErrorCode(1004001119, "order.split.item.weight.error");
    ErrorCode ORDER_SPLIT_ITEM_CHARGE_VOLUME_ERROR = new ErrorCode(1004001120, "order.split.item.charge.volume.error");
    ErrorCode ORDER_SPLIT_ITEM_CHARGE_WEIGHT_ERROR = new ErrorCode(1004001121, "order.split.item.charge.weight.error");
    ErrorCode EXCHANGE_RATE_DELETION = new ErrorCode(1004001122, "exchange.rate.deletion");
    ErrorCode CONTAINER_NUMBER_NOT_NULL = new ErrorCode(1004001123, "container.number.not.null");
    ErrorCode NOT_FIND_CURRENCY = new ErrorCode(1004001124, "not.find.currency");
    ErrorCode THIS_LINE_ZHONG_PAO_SET_NOT_NULL = new ErrorCode(1004001122, "this.line.zhong.pao.set.not.null");
    ErrorCode NOT_FIND_DEST_REGION = new ErrorCode(1004001123, "not.find.dest.region");
    ErrorCode DEST_REGION_FREIGHT_CURRENCY_NOT_NULL = new ErrorCode(1004001124, "dest.region.freight.currency.not.null");
    ErrorCode DEST_REGION_CLEARANCE_CURRENCY_NOT_NULL = new ErrorCode(1004001125, "dest.region.clearance.currency.not.null");
    ErrorCode DEST_REGION_MAIN_OTHER_CURRENCY_NOT_NULL = new ErrorCode(1004001126, "dest.region.main.other.currency.not.null");
    ErrorCode DEST_REGION_ASSISTANT_OTHER_CURRENCY_NOT_NULL = new ErrorCode(1004001127, "dest.region.assistant.other.currency.not.null");
    ErrorCode DEST_REGION_TOTAL_CURRENCY_NOT_NULL = new ErrorCode(1004001127, "dest.region.total.currency.not.null");

    ErrorCode ITEM_PACK_LOG_NOT_EXISTS = new ErrorCode(1004001128, "item.pack.log.not.exists");


    ErrorCode ORDER_ITEM_PRODUCT_UNPACKED = new ErrorCode(1004001129, "order.item.product.unpacked");

    ErrorCode EXCEPTION_APPROVAL_NOT_EXISTS = new ErrorCode(1004001130, "异常审核不存在");
    ErrorCode EXCEPTION_APPROVAL_EXISTS = new ErrorCode(1004001131, "当前异常存在已经发起的流程");


    ErrorCode NEW_CARGO_CONTROL_PHONE_INCORRECT_FORMAT = new ErrorCode(1004001132, "new.cargo.control.phone.incorrect.format");
    ErrorCode ORDER_ALREADY_WAREHOUSE_IN = new ErrorCode(1004001133, "order.already.warehouse.in");
    ErrorCode BATCH_ORDER_NOT_EXISTS = new ErrorCode(1004001134, "batch.order.not.exists");
    ErrorCode CONSIGNEE_PHONE_IS_NOT_CHINA = new ErrorCode(1004001135, "consignee.phone.is.not.china");

    ErrorCode ORDER_NO_OR_BILL_LADING_NO_NOT_NULL = new ErrorCode(1004001136, "order.no.or.bill.lading.no.not.null");


    ErrorCode ORDER_STATUS_NOT_SAME = new ErrorCode(1004001137, "order.status.not.same");
    ErrorCode WAREHOUSE_LINE_NOT_SAME = new ErrorCode(1004001138, "warehouse.line.not.same");
    ErrorCode BOX_DEST_WAREHOUSE_NOT_SAME = new ErrorCode(1004001139, "box.dest.warehouse.not.same");

    ErrorCode SAME_ORDER_CHANNEL_CONTINUE_CHANNEL = new ErrorCode(1004001140, "same.order.channel.continue.channel");



    ErrorCode ORDER_WAREHOUSE_IN_PICTURE_NOT_NULL = new ErrorCode(1004001141, "order.warehouse.in.picture.not.null");


    ErrorCode ORDER_CAN_NOT_FINISH_PACKED = new ErrorCode(1004001142, "order.can.not.finish.packed");
    ErrorCode AIR_ORDER_IS_CONFIRM_CAN_NOT_SPLIT = new ErrorCode(1004001143, "air.order.is.confirm.can.not.split");
    ErrorCode AIR_ORDER_IS_READY_STOCK_NOT_SPLIT = new ErrorCode(1004001144, "air.order.is.ready.stock.not.split");
    ErrorCode ORDER_SPLIT_AT_LEAST_TWO = new ErrorCode(1004001145, "order.split.at.least.two.order");



    ErrorCode ORDER_EXPRESS_NUMBER_TOO_LONG = new ErrorCode(1004001146, "order.express.number.too.long");

    ErrorCode ORDER_FEE_APPLICATION_REPEAT_COMMIT = new ErrorCode(1004001147, "order.fee.application.repeat.commit");
    ErrorCode ORDER_NO_QUOTE_NOT_CUSTOM_PRICE = new ErrorCode(1004001148, "order.no.quote.not.custom.price");
    ErrorCode ORDER_CLEARANCE_NO_QUOTE_NOT_CUSTOM_PRICE = new ErrorCode(1004001149, "order.clearance.no.quote.not.custom.price");

    ErrorCode ORDER_FINISH_WAREHOUSE_IN_REPEAT_COMMIT = new ErrorCode(1004001150, "order.finish.warehouse.in.repeat.commit");
    ErrorCode ORDER_UPDATE_REPEAT_COMMIT = new ErrorCode(1004001151, "order.update.repeat.commit");

    ErrorCode NO_WAREHOUSE_IN_CAN_NOT_PACKED = new ErrorCode(1004001152, "no.warehouse.in.can.not.packed");
    ErrorCode ORDER_IS_PRE_INSTALLED = new ErrorCode(1004001153, "order.is.pre.installed");

    ErrorCode ORDER_IS_NOT_PRE_INSTALLED = new ErrorCode(1004001154, "order.is.not.pre.installed");
    ErrorCode ORDER_ITEM_CHARGING_NOT_NULL = new ErrorCode(1004001155, "order.item.charging.not.null");
    ErrorCode ORDER_ITEM_IS_PAY_ADVANCE_NOT_NULL = new ErrorCode(1004001156, "order.item.is.pay.advance.not.null");
    ErrorCode FREIGHT_CURRENCY_NOT_NULL = new ErrorCode(1004001157, "order.item.freight.currency.not.null");
    ErrorCode FREIGHT_UNIT_NOT_NULL = new ErrorCode(1004001158, "order.item.freight.unit.not.null");
    ErrorCode CLEARANCE_CURRENCY_NOT_NULL = new ErrorCode(1004001159, "order.item.clearance.currency.not.null");
    ErrorCode CLEARANCE_UNIT_NOT_NULL = new ErrorCode(1004001160, "order.item.clearance.unit.not.null");
    ErrorCode ORDER_CARGO_CONTROL_LIMIT_UPDATE_CONSIGNEE_ERROR = new ErrorCode(1004001155, "order.cargo.control.limit.update.consignee.error");
    ErrorCode ORDER_CARGO_CONTROL_LIMIT_UPDATE_CONSIGNEE_INFO = new ErrorCode(1004001156, "order.cargo.control.limit.update.consignee.info");
    ErrorCode ORDER_CARGO_CONTROL_CONSIGNEE_LIMIT_UPDATE_APPLYING = new ErrorCode(1004001157, "order.cargo.control.consignee.limit.update.applying");
    ErrorCode ORDER_CARGO_CONTROL_OVERSEAS_WAREHOUSE_UPDATE_APPLYING = new ErrorCode(1004001158, "order.cargo.control.overseas.warehouse.update.applying");

    ErrorCode ORDER_EXISTS_PICKUP_NOT_CARGO_CONTROL = new ErrorCode(1004001159, "order.exists.pickup.not.cargo.control");
    ErrorCode ORDER_EXISTS_PICK_NOT_CANCEL_CARGO_CONTROL = new ErrorCode(1004001160, "order.exists.pick.not.cancel.cargo.control");
    ErrorCode ORDER_OVERSEAS_WAREHOUSE_UPDATE_NEED_APPLY = new ErrorCode(1004001161, "order.overseas.warehouse.update.need.applying");
    ErrorCode NOT_UPDATE_DEST_COUNTRY = new ErrorCode(1004001162, "order.not.update.dest.country");
    ErrorCode NOT_UPDATE_DEPARTURE = new ErrorCode(1004001163, "order.not.update.departure");
    ErrorCode NOT_UPDATE_TRANSPORT = new ErrorCode(1004001164, "order.not.update.transport");
    ErrorCode ORDER_PRE_INSTALLATION_UNPACKAGED_CONTAINER_NOT_UPDATE = new ErrorCode(1004001165, "order.pre.installation.unpackaged.container.not.update");
    // /空运订单分拣未出货, 锁定订单信息无法修改
    ErrorCode ORDER_SORTING_NOT_SHIPMENT_NOT_UPDATE = new ErrorCode(1004001166, "order.sorting.not.shipment.not.update");





    ErrorCode ORDER_IS_APPROVAL_IN_PROCESS_WITH_ORDERNOS = new ErrorCode(1004001167, "order.is.approval.in.process.with.ordernos");
    // 请选择订单海外仓修改是或否
    ErrorCode ORDER_OVERSEAS_WAREHOUSE_UPDATE_IS_OR_NO = new ErrorCode(1004001168, "order.overseas.warehouse.update.is.or.no");
   // 该订单已经是海外仓订单
    ErrorCode ORDER_IS_OVERSEAS_WAREHOUSE_ORDER = new ErrorCode(1004001169, "order.is.overseas.warehouse.order");
   // 该订单已经是非海外仓订单
    ErrorCode ORDER_NOT_IS_OVERSEAS_WAREHOUSE_ORDER = new ErrorCode(1004001170, "order.not.is.overseas.warehouse.order");
}
